M68K_SYNC_ICACHE(2) | System Calls Manual (m68k) | M68K_SYNC_ICACHE(2)

# NAME

`m68k_sync_icache` —
instruction cache synchronization

# LIBRARY

m68k Architecture Library (libm68k, -lm68k)

# SYNOPSIS

`#include <sys/types.h>`
`#include <m68k/sync_icache.h>`

void
`m68k_sync_icache`(void *start, size_t size);

# DESCRIPTION

`m68k_sync_icache`() synchronizes data and instruction caches over the specified region. It should be called prior to executing newly generated code.

The affected address range starts at start and continues for size bytes. If start is 0, all the address space of the current execution thread is affected. Addresses outside the specified region may be synchronized, too.

The call always succeeds.

# SEE ALSO

arm_sync_icache(2)

# HISTORY

`m68k_sync_icache`() appeared first in NetBSD 1.4.

# AUTHORS

Ignatios Souvatzis

February 9, 1998 | NetBSD 9.2